{% extends 'base.html' %}
{% load static %}

{% block title %} Annisa Amalia | Story 8 {% endblock %}

<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <!-- <script src="{% static 'script.js' %}"></script> -->
    <title>BOOKS</title>
</head>

{% block content %}
{% include 'navbar.html' %}
<header class="text-center" style="color: wheat">
    <h1>Books</h1>
</header>

<div class="container">
    <form>
        <div class="row justify-content-md-center">
            <input type="text" class="form-control" id="keyword" placeholder="What book would you like to find?">
        </div>
    </form>

    <br>

    <div class="table-responsive table-borderless table-striped">
        <table class="table table-hover">
            <thead id="header" style="color: wheat;">
                <tr>
                    <th scope="col">Title</th>
                    <th scope="col">Cover</th>
                    <th scope="col">Author</th>
                    <th scope="col">Publisher</th>
                    <th scope="col">Published Date</th>
                </tr>
            </thead>
            <tbody id="hasil" style="background-color: whitesmoke;">

            </tbody>
        </table>
    </div>
</div>

{% endblock %}

{% block script %}
<script type="text/javascript">
    $("#keyword").keyup(function () {
        var isi_keyword = $("#keyword").val();
        console.log(isi_keyword);
        var url_utk_dipanggil = '/data?q=' + isi_keyword;
        // console.log(url_utk_dipanggil);
        $.ajax({
            url: 'https://www.googleapis.com/books/v1/volumes?q=' + isi_keyword,
            success: function (hasil) {
                // console.log(hasil.items);
                var obj_hasil = $("#hasil");
                obj_hasil.empty();
                for (i = 0; i < hasil.items.length; i++) {
                    var title = hasil.items[i].volumeInfo.title;
                    var thumbnails = hasil.items[i].volumeInfo.imageLinks.smallThumbnail;
                    var author = hasil.items[i].volumeInfo.authors[0];
                    var publisher = hasil.items[i].volumeInfo.publisher;
                    var published_date = hasil.items[i].volumeInfo.publishedDate;
                    console.log(title);
                    $("#hasil").append("<tr>" + "<td>" + title + "</a></td>" + 
                                                "<td><img src='" + thumbnails + "'></td>" +
                                                "<td>" + author + "</td>" +
                                                "<td>" + publisher + "</td>" +
                                                "<td>" + published_date + "</td>" +
                                            "</tr>");

                }
            }
        })

    });

</script>
{% endblock %}